.chats{
	transition: visibility 0.5s, opacity 0.5s;
	float: left;
    width: 500px;
}

.chats {
	height: 100%;
	overflow: auto;
	position: relative;
	border-left: 2px solid #d4edda;
    border-right: 2px solid #d4edda;
}
.chats .background-fix{
	background: #d6eddc url(../images/backiconsfly4.png?t=1) center top repeat !important;
	height: 230px;
	position: fixed;
	width: 100%;
	z-index: -1;
}
.chats header {
	height: 230px;
}
.chats header h1, .chats header h2 {
	font-weight: normal;
	margin: 0px;
	line-height: 1.5em;
}
.chats header h2 {
	font-size: 16px;
}

.chats .list-chat{
	padding: 0px 15px;
}

.chats .chat-item{
	position: relative;
}
.chats .chat-item h2.item-title{
	font-weight: 600;
	margin: 0px;
	font-size: 16px;
	line-height: 1.5;
	margin-bottom: 4px;
	color: #000;
}
.chats .chat-item h2.item-title .pinned{
	float: right;
	display: none;
}
.list-pinned-chat-update .chat-item h2.item-title .pinned{
	display: block;
}
.chats .chat-item .item-info{
	padding: 16px 24px;
	border-radius: 4px;
}
.chats .chat-item .item-info:hover{
	background: #74747414;
	cursor: pointer;
}
.chats .chat-item .item-info.active{
	background: #d6eddc url(../images/wallpaper/pattern-13.svg);
    background-repeat: repeat;
    background-size: 300px;
    background-blend-mode: overlay;
}
.chats .chat-item .no-hover:hover{
	background: #ffffff00;
	cursor: default;
}

.chats .chat-item .item-info input{
	width: 100%;
	height: 40px;
	padding: 11px 50px 11px 16px;
	box-sizing: border-box;
	font-size: 14px;
	border: 1px solid rgb(225, 225, 225);
	color: rgb(0, 0, 0);
	border-radius: 4px;
	appearance: none;
	outline: none;
	text-transform: capitalize;
	background: transparent;
}
.chats .chat-item .item-info input:focus{
	
}
.chats .chat-item .item-info button{
	cursor: pointer;
	z-index: 1;
	position: absolute;
	top: 0px;
	right: 0px;
	bottom: 0px;
	height: 40px;
	width: 40px;
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
	background: #d6eddc url(../images/backiconsfly4.png?t=1) center top repeat;
	outline: 0px;
	border: 0px;
}
.chats .chat-item .item-info button:hover{
	background: #82b916 url(../images/backiconsfly4.png?t=1) center top repeat;
}
.chats .chat-item .item-info .item-info-avatar{
	float:left;
}
.chats .chat-item .item-info .item-info-avatar img{
	width: 62px;
	height: 62px;
	border-radius: 50%;
}
.chats .chat-item .item-info .item-info-chat{
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	padding-left: 16px;
	padding-right: 8px;
	font-size: 14px;
	line-height: 1.4;
	position: relative;
}
.chats .chat-item .item-info .item-info-chat .last-chat-time{
	font-size: 12px;
	color: rgb(115, 115, 118);
}
.chats .chat-item .item-info .item-info-chat .last-chat{
	color: rgb(58, 60, 76);
	font-size: 14px;
}
.chats .chat-item .item-info .item-info-chat .unread{
	color: rgb(58, 60, 76);
	font-weight: bold;
}
.chats .chat-item .item-info .item-info-chat svg{
	
}
.chats .count-not-read{
	background: rgb(210, 38, 40);
	width: 16px;
	height: 16px;
	line-height: 16px;
	border-radius: 50%;
	color: rgb(255, 255, 255);
	font-size: 12px;
	font-weight: 500;
	text-align: center;
	float: left;
	margin-top: 3px;
	margin-right: 5px;
}
.chats::-webkit-scrollbar, .messages .chat-box::-webkit-scrollbar {
	width: 14px;
}
.chats::-webkit-scrollbar-track, .messages .chat-box::-webkit-scrollbar-track {
	background: #f0f1f2;
}
.chats::-webkit-scrollbar-thumb, .messages .chat-box::-webkit-scrollbar-thumb {
	background-color: #bcc0c4;
	border-radius: 20px;
	border: 3px solid #f0f1f2;
}
.chats::-webkit-scrollbar-thumb:hover, .messages .chat-box::-webkit-scrollbar-thumb:hover {
	background-color: #a8a8a8;
	border-radius: 20px;
	border: 3px solid #f0f1f2;
}


































.messages{
	transition: visibility 0.5s, opacity 0.5s;
	width: calc(100% - 504px);
    margin-left: 504px;
    position: relative;
    height: 100%;
}

.messages .header{
	height: 75px;
	background: #d6eddc url(../images/wallpaper/pattern-13.svg);
    background-repeat: repeat;
    background-size: 300px;
    background-blend-mode: overlay;
}
.messages .header .back-home{
	position: absolute;
	margin: 12px 2px 12px 8px;
	border-radius: 4px;
	background-color: rgba(0, 0, 0, 0.1);
}
.messages .header .back-home:hover{
	background-color: rgba(0, 0, 0, 0.3);
	cursor: pointer;
}
.messages .header .back-home div{
	width: 51px;
	height: 51px;
	transform: rotate(90deg);
	background: url(../images/down.png) center center no-repeat !important;
	background-size: 13px !important;
}

.messages .header .user-info{
	position: absolute;
	top: 12px;
	left: 65px;
	right: 20px;
	border-radius: 4px;
	overflow: hidden;
	padding: 8px;
}
.messages .header .user-info:hover{
	background-color: rgba(0, 0, 0, 0.1);
	cursor: pointer;
}
.messages .header .user-info .avatar{
	padding-right: 10px;float: left;position: relative;
}
.messages .header .user-info .avatar img{
	width: 34px;height: 34px;border-radius: 50%;
}
.messages .header .user-info .status-led{
	background-color: #00ff0e;
	border: 2px solid rgb(20 156 160);
	margin: 0px auto;
	border-radius: 50%;
	width: 6px;
	height: 6px;
	right: 8px;
	bottom: 1px;
	position: absolute;
}
.messages .header .user-info .username{
	font-size: 16px;
	line-height: 1.2em;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.messages .header .user-info .status-text{
	color: rgba(0, 0, 0, 0.7);
	font-size: 13px;
	line-height: 1.1em;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.messages .header .user-info .right-buttons{
	float: right;padding: 5px;user-select: none;
}
.messages .header .user-info .right-buttons span{
	opacity: 0.6;
    transition: opacity 200ms ease 0s;
	margin-right: 15px;
}
.messages .header .user-info .right-buttons span:hover{
	opacity: 1;
}







.messages .chat-box{
	position: absolute;
	overflow: auto;
	overflow-x: hidden;
	bottom: 56px;
	top: 75px;
	width: 100%;
}
.messages .chat-box .list-message{
	padding: 24px 20px 20px;
}
.messages .chat-box .message{
	padding-bottom: 5px;
    padding-top: 10px;
	padding-left: 10px;
	border-radius: 4px;
}
.messages .chat-box .message .message-detail{
	position: relative;
	padding-left: 45px;
	width: calc(100% - 48px);
}
.messages .chat-box .list-message .message-detail-left{
	text-align: left;
}
.messages .chat-box .list-message .message-detail-left .reaction:first-child{
	margin-left: 10px;
}
.messages .chat-box .list-message .message-detail-center{
	text-align: center;
	padding-left: 0px;
	width: 100%;
}
.messages .chat-box .list-message .message-detail-right{
	text-align: right;
}
.messages .chat-box .list-message .message-detail-right .reaction:last-child{
	margin-right: 10px;
}
.messages .chat-box .message .message-detail .avatar{
	position: absolute;
	left: 0px;
	bottom: 10px;
}
.messages .chat-box .message .message-detail .avatar img{
	width: 32px;
	height: 32px;
	border-radius: 50%;
}
.messages .chat-box .message .message-detail .text{
	word-wrap: break-word;
    overflow-wrap: break-word;
    word-break: break-word;
	padding: 17px 20px;
	border-radius: 5px;
	position: relative;
	display: inline-block;
	width: auto;
	max-width: 75%;
	background-color: #aaaaaa1a;
	white-space: pre-wrap;
}
.messages .chat-box .message .message-detail .text .reply, .messages .chat-box .message .message-detail .image .reply, .messages .chat-box .message .message-detail .document .reply {
	border-left: 4px solid #ff00001a;
    background: #ff21211a;
    padding: 5px 10px;
    border-radius: 4px;
    cursor: pointer;
	user-select: none;
	margin-bottom: 10px;
}
.messages .chat-box .message .message-detail .reply img {
	border-radius: 50%;
    width: 23px;
    float: left;
    margin-right: 10px;
}
.messages .chat-box .message .message-detail .text blockquote {
	margin: 0;
    border-left: 4px solid #77cdec;
    background: #e6f4ff;
    padding: 5px 10px;
    border-radius: 4px;
}
.messages .chat-box .message .message-detail .text .link, .messages .chat-box .message .message-detail .text .command{
	text-decoration: none;
	color: blue;
}
.messages .chat-box .message .message-detail .text .link:hover, .messages .chat-box .message .message-detail .text .command:hover{
	text-decoration: underline;
}
.messages .chat-box .message .message-detail .text .react-emoji{
	height: 20px;
    width: 20px;
    border-radius: 50%;
    position: absolute;
    right: -5px;
    -webkit-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5);
}
.messages .chat-box .list-message .message-detail-right .text{
	text-align: left;
}
.messages .chat-box .message .message-detail .html{
	margin: 0px 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 15px 0px, rgba(0, 0, 0, 0.1) 0px 1px 2px 0px, #6ec9cb 2px 0px 0px 0px inset;
    border-radius: 3px;
	background-color: rgb(245, 245, 245);
}
.messages .chat-box .message .message-detail .emoji{
	position: relative;
	display: inline-block;
	width: auto;
	max-width: 75%;
	font-size: 64px;
    line-height: 64px;
    margin-top: 12px;
}
.messages .chat-box .message .message-detail .image{
	background-color: #aaaaaa1a;
    padding: 6px;
    border-radius: 6px;
	position: relative;
	display: inline-block;
	max-width: 75%;
    line-height: 64px;
    margin-top: 12px;
}
.messages .chat-box .message .message-detail .image img{
	max-height: 165px;
	max-width: 250px;
	cursor: pointer;
	border-radius: 4px;
}

.messages .chat-box .message .message-detail .caption{
	padding: 5px 10px 0px 10px;
}
.messages .chat-box .message .message-detail .btn-file-group{
	text-align: center;
}
.messages .chat-box .message .message-detail .btn-file{
	background: rgb(13 0 255 / 10%);
    border-radius: 50%;
    text-align: center;
    width: 50px;
    height: 50px;
    cursor: pointer;
    display: inline-block;
    margin: 10px 5px 0px 5px;
}
.messages .chat-box .message .message-detail .btn-file svg{
	margin-top: 6px;
    opacity: 0.3;
}
.messages .chat-box .message .message-detail .btn-file:hover{
	background: rgb(13 0 255 / 15%);
}
.messages .chat-box .message .message-detail .btn-file:hover svg{
    opacity: 0.4;
}

.messages .chat-box .message .message-detail .document{
	background-color: #aaaaaa1a;
    padding: 6px;
    border-radius: 6px;
	position: relative;
	display: inline-block;
	max-width: 75%;
    line-height: 64px;
    margin-top: 12px;
}
.messages .chat-box .message .message-detail .document a{
	font-weight: 500;
    cursor: pointer;
}
.messages .chat-box .message .message-detail .document a:hover{
	color: blue;
}
.messages .chat-box .message .message-detail .document video{
	border-radius: 4px;
    max-width: 50%;
}

.messages .chat-box .message .message-detail .forward{
	color: #00bf06;
}
.messages .chat-box .message .message-detail .forward img{
	width: 16px;
	border-radius: 50%;
	cursor: pointer;
}
.messages .chat-box .message .message-detail .forward span{
	cursor: pointer;
}




.messages .chat-box .message .message-detail .last-read{
	position: absolute;
    right: -20px;
    bottom: 0;
}
.messages .chat-box .message .message-detail .last-read img{
	width: 14px;
	height: 14px;
	border-radius: 50%;
}
.messages .chat-box .message .time-string{
	padding-left: 45px;
	padding-right: 3px;
	color: rgb(115, 115, 118);
	clear: both;
	font-size: 13px;
	padding-top: 7px;
	user-select: none;
}
.messages .chat-box .line-day-string{
	text-align: center;
    color: rgb(115, 115, 118);
    font-size: 13px;
    clear: both;
    padding-top: 30px;
    padding-bottom: 14px;
}
.messages .chat-box .line-pinned-message{
	background-color: rgba(0, 0, 0, 0.05);
    width: fit-content;
    margin: auto;
    padding: 8px 20px;
    border-radius: 44px;
    color: #0074ff;
    font-size: 13px;
    max-width: 50%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
	margin-bottom: 5px;
    margin-top: 10px;
	cursor: default;
}
.messages .chat-box .line-pinned-message span{
	cursor: pointer;
}
.messages .chat-box .line-pinned-message span:hover{
	text-decoration: underline;
}



.messages .reply-message{
	position: absolute;
	bottom: 56px;
	left: 0px;
	right: 0px;
	min-height: 56px;
	max-height: 200px;
	border-top: 1px solid rgb(230, 230, 230);
	display: none;
	background: white;
	z-index: 0;
}
.reply-message::after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background: #ffffff00 url(../images/wallpaper/pattern-13.svg);
    background-repeat: repeat;
    background-size: 300px;
    opacity: 0.05;
    top: 0;
    left: 0;
    z-index: -1;
}
.messages .reply-message .emoji-button{
	width: 32px;text-align: center;cursor: pointer;
	opacity: 0.6;
    transition: opacity 200ms ease 0s;
}
.messages .reply-message .emoji-button:hover{
	opacity: 1;
}
.messages .reply-message .reaction-button{
	width: 22px;text-align: center;cursor: pointer;
	opacity: 0.6;
    transition: opacity 200ms ease 0s;
}
.messages .reply-message .reaction-button:hover{
	opacity: 1;
}
.messages .input-message{
	position: absolute;
	bottom: 0px;
	left: 0px;
	right: 0px;
	min-height: 56px;
	max-height: 200px;
	border-top: 1px solid rgb(230, 230, 230);
}
.messages .input-message textarea, .messages .input-message pre{
	box-sizing: border-box;
	padding: 18px 100px 18px 29px;
	width: 100%;
	height: 100%;
	font-size: 14px;
	font-weight: normal;
	line-height: 1.33;
	background-color: rgb(255, 255, 255);
	white-space: pre-wrap;
	overflow-wrap: break-word;
}
.messages .input-message textarea{
	position: absolute;
	bottom: 0px;
	left: 0px;
	color: rgb(0, 0, 0);
	resize: none;
	border: none;
	outline: none;
	overflow: hidden;
}
.messages .input-message textarea:focus{
	background-color: rgb(255, 255, 255);
}
.messages .input-message .list-button{
	position: absolute;
	top: 0px;
	right: 21px;
}
.messages .input-message .list-button button{
	position: relative;
    float: left;
    display: inline-block;
    opacity: 0.6;
    transition: opacity 200ms ease 0s;
    height: 51px;
    margin-top: 2px;
    padding-left: 8px;
    padding-right: 8px;
	border: 0;
    background: transparent;
	outline: none;
}
.messages .input-message .list-button button:hover{
	opacity: 1;
}

.messages .input-message .list-button button svg{
	height: 18px;
    width: 18px;
    top: 18px;
	cursor: pointer;
}

.messages .input-message .list-button .emoji-box{
	position: absolute;
    max-height: 260px;
    bottom: 100%;
	right: 10px;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 15px 1px;
    background-color: white;
    border-radius: 6px;
	width: 330px;
    height: 260px;
	display: none;
}
.messages .input-message .list-button .emoji-box .list-emoji{
    inset: 40px 0px 5px;
    padding: 10px 20px;
    overflow-y: scroll;
	height: 240px;
}
.messages .input-message .list-button .emoji-box .list-emoji .emoji{
	outline: none;
	padding: 6px;
    width: 30px;
    line-height: 1.07;
    display: inline-table;
    text-align: justify;
    cursor: pointer;
    vertical-align: middle;
    font-size: 28px;
    transition: transform 60ms ease-out 60ms;
}
.messages .input-message .list-button .emoji-box .list-emoji .emoji:hover{
	transform: scale(1.2);
}
.messages .input-message .list-button .emoji-box .list-emoji .emoji-title{
	color: rgb(115, 115, 118);
    font-weight: 600;
    font-size: 11px;
    margin: 5px;
    text-transform: uppercase;
    line-height: 1.27;
}
.messages .input-message .list-button .emoji-box .arrow{
	position: absolute;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid white;
    right: 33px;
}








.screen-view-image, .screen-user-profile {
	position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / 80%);
    text-align: center;
	z-index: 9999;
	display:none;
}
.screen-view-image:before, .screen-user-profile:before {
    content: "";
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}
.screen-view-image img{
	vertical-align: middle;
}

.screen-user-profile .screen-body{
	width: 400px;
    background: white;
    margin: auto;
    border-radius: 4px;
	display: inline-block;
	padding: 10px 20px;
}
.screen-user-profile .screen-body img{
	border-radius: 50%;
}
.screen-user-profile .screen-body .fullname{
	font-size: 18px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
	font-weight: 500;
}
.screen-user-profile .screen-body .username{
	color: rgba(0, 0, 0, 0.7);
    font-size: 13px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}







